# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rongcloud"
version = "0.1.0"
build = false
exclude = [
    "server-sdk-java/**",
    ".cargo/**",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "RongCloud IM Server SDK for Rust"
readme = "README.md"
keywords = [
    "rongcloud",
    "im",
    "chat",
    "sdk",
]
categories = [
    "api-bindings",
    "network-programming",
]
license = "MIT"
repository = "https://github.com/fairwic/rongcloud"

[lib]
name = "rongcloud"
path = "src/lib.rs"

[dependencies.hex]
version = "0.4"

[dependencies.log]
version = "0.4"

[dependencies.rand]
version = "0.8"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "multipart",
]

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.serde_repr]
version = "0.1.20"

[dependencies.sha1]
version = "0.10"

[dependencies.thiserror]
version = "1.0"

[dependencies.tokio]
version = "1.0"
features = ["full"]

[dev-dependencies.mockito]
version = "1.0"
